Loading...
Searching...
No Matches
pcl::device::plusWeighted< T, W > Struct Template Reference

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/utils/include/pcl/gpu/utils/device/functional.hpp>`

Inheritance diagram for pcl::device::plusWeighted< T, W >:

## Public Member Functions

__device__ __host__ __forceinline__ | plusWeighted (W weight)
__device__ __host__ __forceinline__ float | operator() (const T &f1, const T &f2) const

## Public Attributes

W | w

## Detailed Description

template<typename T, typename W>
struct pcl::device::plusWeighted< T, W >

Definition at line 97 of file functional.hpp.

## Constructor & Destructor Documentation

## plusWeighted()

template<typename T , typename W >

__device__ __host__ __forceinline__ pcl::device::plusWeighted< T, W >::plusWeighted | ( | W | weight | ) |

inline

Definition at line 100 of file functional.hpp.

## Member Function Documentation

## operator()()

template<typename T , typename W >

__device__ __host__ __forceinline__ float pcl::device::plusWeighted< T, W >::operator() | ( | const T & | f1,
|  | const T & | f2
| ) |  | const

inline

Definition at line 101 of file functional.hpp.

References pcl::device::plusWeighted< T, W >::w.

## Member Data Documentation

## w

template<typename T , typename W >

W pcl::device::plusWeighted< T, W >::w

Definition at line 99 of file functional.hpp.

Referenced by pcl::device::plusWeighted< T, W >::operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/utils/include/pcl/gpu/utils/device/functional.hpp